[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TColumnTitle

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TColumnTitle is a TGridColumnTitle descendant.

## Declaration

Source position: dbgrids.pas line 245

`type TColumnTitle = class(TGridColumnTitle)`
`protected`
`function GetDefaultCaption; override;` |  | Gets the default caption used as the title for the grid column.
`end;`

## Inheritance

`TColumnTitle` |  | TColumnTitle is a TGridColumnTitle descendant.
`TGridColumnTitle` |  | Provides properties and methods need to represent a column title in a grid.
`TPersistent`
?
`TObject`

## Description

TColumnTitle is a TGridColumnTitle descendant which ensures the correct caption is used as the title for a column in a data-aware grid.